<div class="row filter-row">
    <div class="col-md-5">
        <form method="get">
            {% if selected_position %}
            <input type="hidden" name="position" value="{{selected_position.key}}">
            {% endif %}
            <div class="search-box">
                <input type="text"
                       name="search"
                       value="{{search}}"
                       id="search"
                       class="search{% if search %} hasValue{% endif %}"
                       onInput="this.classList.toggle('hasValue', this.value)"
                       >
                <button type="submit" class="button button-primary"><i class="fas fa-search"></i></button>
                <button alt="clear search" type="reset"
                    onclick="document.getElementById('search').value = ''; this.closest('form').submit()">
                    {% include "vendor/material-icons/close.svg" %}
                </button>
            </div>
        </form>
    </div>

    <div class="col-md-3">
        <select id="position-filter" class="dropdown filter" onChange="location.assign(this.selectedOptions[0].dataset.link)">
                <option value=""
                        data-link="{{all_positions_link}}"
                >All Positions</option>
                {% for position in positions %}
                <option value="{{position.object.key}}"
                        data-link="{{position.link}}"
                        {% if position.object == selected_position %} selected {% endif %}
                >{{position.object.name}}</option>

                {% endfor %}
        </select>
    </div>
</div>
